unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes,
  Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls;

type
  TForm2 = class(TForm)
    GroupBox1: TGroupBox;
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Edit1: TEdit;
    GroupBox2: TGroupBox;
    Label3: TLabel;
    GroupBox3: TGroupBox;
    Label5: TLabel;
    Shape1: TShape;
    ColorDialog1: TColorDialog;
    Label2: TLabel;
    Shape2: TShape;
    Edit2: TEdit;
    procedure Shape1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var Form2: TForm2;
    zeroadj:integer;

implementation
uses registry;

{$R *.dfm}

const regstr='\Software\ExOS\uScope';

procedure savesettings;
var Reg: TRegistry;
    i:integer;
begin
 Reg := TRegistry.Create;
  try
    Reg.RootKey := HKEY_CURRENT_USER;
    if Reg.OpenKey(regstr,True) then
       begin
       reg.WriteString('DevID',form2.edit1.text);
       reg.WriteString('Zero',form2.edit2.text);
       reg.Writeinteger('BgColor',form2.Shape1.Brush.Color);
       reg.WriteInteger('TextColor',form2.Shape2.Brush.color);
       Reg.CloseKey;
       end;
  finally
    Reg.Free;
  end;

end;

procedure loadsettings;
var Reg: TRegistry;
    i:integer;
    v,e:integer;
begin

 Reg := TRegistry.Create;
  try
    Reg.RootKey := HKEY_CURRENT_USER;
          if Reg.OpenKey(regstr,false) then
             begin
             form2.edit1.text:=Reg.Readstring('DevID');
             form2.edit2.text:=Reg.Readstring('Zero');
             form2.Shape1.Brush.Color:=Reg.Readinteger('BgColor');
             form2.Shape2.Brush.Color:=Reg.Readinteger('TextColor');
             Reg.CloseKey;
             end;
  finally
    Reg.Free;
  end;

val(form2.edit2.Text,v,e);
if (e<>0) then zeroadj:=0 else zeroadj:=v;
end;

procedure TForm2.Shape1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
colordialog1.Color:=tshape(sender).Brush.Color;
if colordialog1.Execute then
   tshape(sender).Brush.Color:=colordialog1.Color;
end;

procedure TForm2.Button1Click(Sender: TObject);
var v,e:integer;
begin
val(edit2.Text,v,e);
if (e<>0)or(v<-64)or(v>64) then
   begin
   Application.MessageBox('Invalid zero adjust value','Error',MB_OK+MB_ICONERROR);
   exit;
   end;
savesettings;
loadsettings;
close;
end;


procedure TForm2.Button2Click(Sender: TObject);
begin
loadsettings;
end;


procedure TForm2.FormCreate(Sender: TObject);
begin
loadsettings;
end;

end.
